jQuery(document).ready(function($) {
    // Send OTP for Registration
    $('#send-otp').click(function() {
        var phoneNumber = $('#otp_reg_phone').val();
        
        $('#sc_otp_reg_message').html("<div class='sc_otp_spinner'></div>");
        $.ajax({
            url: otp_ajax_object.ajax_url,
            type: 'POST',
            data: {
                action: 'otp_send_verification_code',
                otp_reg_phone: phoneNumber
            },
            success: function(response) {
                if (response.success) {
                    $('#otp-container').show();
                    $('#register').show();
                    $('#send-otp').prop('disabled', true);
                    
                        var sc_otp_reg_counter = document.querySelector('#send-otp');
                        var counter = 120;
                        var interval = setInterval(function() {
                        // Step 3: Update the content of the div element
                        var secondtitle = $("#send-otp").data('countertxt')
                        sc_otp_reg_counter.textContent = counter + ' ' + secondtitle;
                        counter--;
                        $('#send-otp').addClass('sc_cmn_timer_on');
                        // Optional: Stop the counter after the desired duration (120 seconds)
                        if (counter < 1) {
                          clearInterval(interval);
                          $('#send-otp').prop('disabled', false);
                          var mtitle = $("#send-otp").data('mtitle')
                          sc_otp_reg_counter.textContent = mtitle;
                          $('#send-otp').removeClass('sc_cmn_timer_on');
                        }
                        }, 1000); // Update every second
                    
                }
                $('#sc_otp_reg_message').text(response.data.message).show();
            }
        });
    });

    // OTP Registration Form Submission
    $('#otp-registration-form').submit(function(e) {
        e.preventDefault();
        var otp = $('#otp_reg').val();
        var phoneNumber = $('#otp_reg_phone').val();
        $('#sc_otp_reg_message').html("<div class='sc_otp_spinner'></div>");
        $.ajax({
            url: otp_ajax_object.ajax_url,
            type: 'POST',
            data: {
                action: 'otp_validate_otp',
                otp_reg: otp,
                otp_reg_phone: phoneNumber
            },
            success: function(response) {
                if (response.success) {
                    window.location.href = response.data.redirect_url;
                } else {
                    $('#sc_otp_reg_message').text(response.data.message).show();
                }
            }
        });
    });

    // Send OTP for Login
    $('#send-login-otp').click(function() {
        var phoneNumber = $('#otp_phone').val();
        $('#sc_otp_login_message').html("<div class='sc_otp_spinner'></div>");
        $.ajax({
            url: otp_ajax_object.ajax_url,
            type: 'POST',
            data: {
                action: 'otp_send_verification_code',
                otp_phone: phoneNumber
            },
            success: function(response) {
                if (response.success) {
                    $('#otp-login-container').show();
                    $('#login').show();
                    $('#send-login-otp').prop('disabled', true);
                    
                        var sc_otp_login_counter = document.querySelector('#send-login-otp');
                        var counter = 120;
                        var interval = setInterval(function() {
                        // Step 3: Update the content of the div element
                        var secondtitle = $("#send-login-otp").data('countertxt')
                        sc_otp_login_counter.textContent = counter + ' ' + secondtitle;
                        counter--;
                        $('#send-login-otp').addClass('sc_cmn_timer_on');
                        // Optional: Stop the counter after the desired duration (120 seconds)
                        if (counter < 1) {
                          clearInterval(interval);
                          $('#send-login-otp').prop('disabled', false);
                          var mtitle = $("#send-login-otp").data('mtitle')
                          sc_otp_login_counter.textContent = mtitle;
                          $('#send-login-otp').removeClass('sc_cmn_timer_on');
                        }
                        }, 1000); // Update every second
                }
                $('#sc_otp_login_message').text(response.data.message).show();
            }
        });
    });

    // OTP Login Form Submission
    $('#otp-login-form').submit(function(e) {
        e.preventDefault();
        var otp = $('#otp_back').val();
        var phoneNumber = $('#otp_phone').val();
        $('#sc_otp_login_message').html("<div class='sc_otp_spinner'></div>");
        $.ajax({
            url: otp_ajax_object.ajax_url,
            type: 'POST',
            data: {
                action: 'otp_login_validate_otp',
                otp_back: otp,
                otp_phone: phoneNumber
            },
            success: function(response) {
                if (response.success) {
                    window.location.href = response.data.redirect_url;
                } else {
                    $('#sc_otp_login_message').text(response.data.message).show();
                }
            }
        });
    });
});