<?php 
function swss_remove_acf_data_if_needed()
{
	global $post;
	
	if(is_admin() && ( (isset($_GET['page']) && $_GET['page'] == 'wad-manage-settings') || (isset($post) && $post->post_type == "o-discount")))
	{
		wp_dequeue_style('acf-global-css');
		wp_deregister_style('acf-global-css');
		
		wp_dequeue_style('acf-input-css');
		wp_deregister_style('acf-input-css');
		
		wp_dequeue_style('acf-pro-input-css');
		wp_deregister_style('acf-pro-input-css');
		
		wp_dequeue_style('select2-css');
		wp_deregister_style('select2-css');
		
		wp_dequeue_style('acf-datepicker-css');
		wp_deregister_style('acf-datepicker-css');
		
		wp_dequeue_style('acf-timepicker-css');
		wp_deregister_style('acf-timepicker-css');
		
		wp_dequeue_script( 'acf-input' );
		wp_deregister_script( 'acf-input' );
		
		wp_dequeue_script( 'acf-pro-input' );
		wp_deregister_script( 'acf-pro-input' );
		
		wp_dequeue_script( 'acf-timepicker' );
		wp_deregister_script( 'acf-timepicker' );
		
		wp_dequeue_script( 'acf-datepicker' );
		wp_deregister_script( 'acf-datepicker' );
		
		wp_dequeue_script( 'jquery-ui-datepicker' );
		wp_deregister_script( 'jquery-ui-datepicker' );
	}
}
function swss_menu_ticket_count()
{
	global $swss_ticket_model, $submenu, $menu;
	$count = $swss_ticket_model->count_new_tickets();
	
	foreach($menu as $key => $menu_voice)
		if($menu[$key][2] == 'edit.php?post_type=swss_ticket')
		{
			$menu[$key][0] .= " <span class='update-plugins count-$count'><span class='plugin-count'>" . $count . "</span></span>";
			//return;
		}
		
	foreach($submenu as $key => $menu_voice)
		if($key == 'edit.php?post_type=swss_ticket')
			foreach($menu_voice as $menu_voice_key => $sub_menu)
			{
				if($menu_voice[$menu_voice_key][2] == 'edit.php?post_type=swss_ticket')
					$submenu[$key][$menu_voice_key][0] .= " <span class='update-plugins count-$count'><span class='plugin-count'>" . $count . "</span></span>";
			//return;
			}		
}
function swss_get_woo_version_number()
{
	    // If get_plugins() isn't available, require it
	if ( ! function_exists( 'get_plugins' ) )
		require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	
        // Create the plugins folder and file variables
	$plugin_folder = get_plugins( '/' . 'woocommerce' );
	$plugin_file = 'woocommerce.php';
	
	// If the plugin version number is set, return it 
	if ( isset( $plugin_folder[$plugin_file]['Version'] ) ) {
		return $plugin_folder[$plugin_file]['Version'];

	} else {
	// Otherwise return null
		return NULL;
	}
}
function swss_restore_paragraph_breaks($str)
{
	$str = preg_replace('/\n(\s*\n)+/', '<br/><br/>', $str);
	$str = preg_replace('/\n/', '<br/>', $str);
	//$str = '<p>'.$str.'</p>';
	return $str;
}
function swss_normalize_str($str) 
{
    // Normalize line endings
    // Convert all line-endings to UNIX format
    $s = str_replace("\r\n", "\n", $s);
    $s = str_replace("\r", "\n", $s);
    // Don't allow out-of-control blank lines
    $s = preg_replace("/\n{2,}/", "\n\n", $s);
    return $s;
}
$swss_result = get_option("_".$swss_id);
$swss_notice = !$swss_result || $swss_result != md5($_SERVER['SERVER_NAME']);
$swss_notice = false;
/* if($swss_notice)
	remove_action( 'plugins_loaded', 'swss_setup'); */
if(!$swss_notice)
	swss_setup();
function swss_random_string($length = 10)
{
	$characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $charactersLength = strlen($characters);
    $randomString = '';
    for ($i = 0; $i < $length; $i++) {
        $randomString .= $characters[rand(0, $charactersLength - 1)];
    }
    return $randomString;
}
function swss_get_value_if_set($data, $nested_indexes, $default = false)
{
	if(!isset($data))
		return $default;
	
	$nested_indexes = is_array($nested_indexes) ? $nested_indexes : array($nested_indexes);
	//$current_value = null;
	foreach($nested_indexes as $index)
	{
		if(!isset($data[$index]))
			return $default;
		
		$data = $data[$index];
		//$current_value = $data[$index];
	}
	
	return $data;
}
function swss_trim_breaks($str)
{
	$str = str_replace("<br />", "<br/>", $str);
	$str = trim($str);
	$max_iterations = 200; //to eventually prevent infinite loop
	$counter = 0;
	
	while((strpos($str, "<br/>") === 0 || strpos($str, "&nbsp;") === 0) && ($counter++ < $max_iterations))
	{
		
		if (substr($str, 0, strlen("<br/>")) == "<br/>") 
			$str = substr($str, strlen("<br/>"));
		
		
		if (substr($str, 0, strlen("&nbsp;")) == "&nbsp;") 
			$str = substr($str, strlen("&nbsp;")); 
		
		$str = trim($str);
	}
	return $str;
}
function swss_write_log ( $log )  
{
  if ( is_array( $log ) || is_object( $log ) ) 
  {
	 error_log( print_r( $log, true ) );
  } else 
  {
	 error_log( $log );
  }
}
function swss_remove_script_tag($html)
{
	return preg_replace( '@<(script|style)[^>]*?>.*?</\\1>@si', '', $html );
}
?>