<?php
# Typography
Redux::setSection( $opt_name, array(
	'title' => esc_html__('Typography', 'studiare'),
	'id' => 'typography',
	'icon' => 'fal fa-font-case',
	'fields' => array(
		array(
			'id'             => 'font_body',
			'type'           => 'typography',
			'title'          => esc_html__( 'Body Font', 'studiare' ),
			'compiler'       => true,
			'google'         => false,
			'font-backup'    => false,
			'font-weight'    => true,
			'all_styles'     => true,
			'text-align'     => false,
			//'font-style'     => false,
			//'subsets'        => false,
			'font-size'      => true,
			'line-height'    => false,
			'word-spacing'   => false,
			'letter-spacing' => false,
			'color'          => true,
			'preview'        => true,
			'output'         => array( 'body' ),
			'units'          => 'px',
			'subtitle'       => esc_html__( 'This Font Applies to Entire Website', 'studiare' ),
			'default'        => array(
				'color'       => "#7d7e7f",
				'font-size'   => '14px',
				'font-family' => 'sc_iranyekan',
				'google'      => false,
				'font-backup' => "'MS Sans Serif', Geneva, sans-serif"
			),
			'weights' => array(
	    	'100'       => '100',
    		'200'       => '200',
    		'300' => '300',
    		'400' => '400',
    		'500' => '500',
    		'600' => '600',
	    	'700' => '700',
    		'800' => '800',
	    	'900' => '900',
        	),
			'fonts'=>$std_fonts
		),
		array(
			'id'             => 'menu_heading',
			'type'           => 'typography',
			'title'          => esc_html__( 'Menu font', 'studiare' ),
			'compiler'       => true,
			'google'         => false,
			'font-backup'    => false,
			'all_styles'     => true,
			'font-weight'    => true,
			'font-style'     => false,
			'text-align'     => false,
			'subsets'        => false,
			'font-size'      => true,
			'line-height'    => false,
			'word-spacing'   => false,
			'letter-spacing' => false,
			'color'          => false,
			'preview'        => true,
			'output'         => array( '.studiare-navigation ul.menu>li>a, .studiare-navigation .menu>ul>li>a' ),
			'units'          => 'px',
			'default'        => array(
				'font-family' => 'sc_iranyekan',
				'font-weight' => '400',
				'font-size'   => '15px'
			),
			'weights' => array(
	    	'100'       => '100',
    		'200'       => '200',
    		'300' => '300',
    		'400' => '400',
    		'500' => '500',
    		'600' => '600',
	    	'700' => '700',
    		'800' => '800',
	    	'900' => '900',
        	),
			'fonts'=>$std_fonts
		),
		array(
			'id'             => 'submenu_font',
			'type'           => 'typography',
			'title'          => esc_html__( 'Submenu Font', 'studiare' ),
			'compiler'       => false,
			'google'         => false,
			'font-backup'    => false,
			'all_styles'     => true,
			'font-weight'    => true,
			'text-align'     => false,
			'font-style'     => true,
			'subsets'        => false,
			'font-size'      => true,
			'line-height'    => false,
			'word-spacing'   => false,
			'letter-spacing' => false,
			'color'          => false,
			'preview'        => true,
			'output'         => array( '.studiare-navigation ul.menu>li ul li>a, .studiare-navigation .menu>ul>li ul li>a, .studi_rl_with_sub .studi_rl_sub ul li a' ),
			'units'          => 'px',
			'default'        => array(
				'font-family' => 'sc_iranyekan',
				'font-size' => '13px',
				'font-weight' => '400',
			),
			'weights' => array(
	    	'100'       => '100',
    		'200'       => '200',
    		'300' => '300',
    		'400' => '400',
    		'500' => '500',
    		'600' => '600',
	    	'700' => '700',
    		'800' => '800',
	    	'900' => '900',
        	),
			'fonts'=>$std_fonts
		),
		array(
			'id'             => 'h1_params',
			'type'           => 'typography',
			'title'          => esc_html__( 'H1', 'studiare' ),
			'compiler'       => true,
			'google'         => false,
			'font-backup'    => false,
			'all_styles'     => true,
			'font-weight'    => true,
			'font-family'    => true,
			'text-align'     => false,
			'font-style'     => true,
			'subsets'        => false,
			'font-size'      => true,
			'line-height'    => false,
			'word-spacing'   => false,
			'letter-spacing' => false,
			'color'          => true,
			'preview'        => true,
			'output'         => array( 'h1,.h1' ),
			'units'          => 'px',
			'default'        => array(
				'font-size' => '22px',
				'font-weight' => '700',
				'color'       => '#464749',
				'font-family' => 'sc_iranyekan',
				'google'      => false,
			),
			'weights' => array(
	    	'100'       => '100',
    		'200'       => '200',
    		'300' => '300',
    		'400' => '400',
    		'500' => '500',
    		'600' => '600',
	    	'700' => '700',
    		'800' => '800',
	    	'900' => '900',
        	),
			'fonts'=>$std_fonts
		),
		array(
			'id'             => 'h2_params',
			'type'           => 'typography',
			'title'          => esc_html__( 'H2', 'studiare' ),
			'compiler'       => true,
			'google'         => false,
			'font-backup'    => false,
			'all_styles'     => true,
			'font-weight'    => true,
			'font-family'    => true,
			'text-align'     => false,
			'font-style'     => true,
			'subsets'        => false,
			'font-size'      => true,
			'line-height'    => false,
			'word-spacing'   => false,
			'letter-spacing' => false,
			'color'          => true,
			'preview'        => true,
			'output'         => array( 'h2,.h2' ),
			'units'          => 'px',
			'default'        => array(
				'font-size' => '20px',
				'font-weight' => '700',
				'color'       => '#464749',
				'font-family' => 'sc_iranyekan',
				'google'      => false,
			),
			'weights' => array(
	    	'100'       => '100',
    		'200'       => '200',
    		'300' => '300',
    		'400' => '400',
    		'500' => '500',
    		'600' => '600',
	    	'700' => '700',
    		'800' => '800',
	    	'900' => '900',
        	),
			'fonts'=>$std_fonts
		),
		array(
			'id'             => 'h3_params',
			'type'           => 'typography',
			'title'          => esc_html__( 'H3', 'studiare' ),
			'compiler'       => true,
			'google'         => false,
			'font-backup'    => false,
			'all_styles'     => true,
			'font-weight'    => true,
			'font-family'    => true,
			'text-align'     => false,
			'font-style'     => true,
			'subsets'        => false,
			'font-size'      => true,
			'line-height'    => false,
			'word-spacing'   => false,
			'letter-spacing' => false,
			'color'          => true,
			'preview'        => true,
			'output'         => array( 'h3,.h3' ),
			'units'          => 'px',
			'default'        => array(
				'font-size' => '18px',
				'font-weight' => '700',
				'color'       => '#464749',
				'font-family' => 'sc_iranyekan',
				'google'      => true,
			),
			'weights' => array(
	    	'100'       => '100',
    		'200'       => '200',
    		'300' => '300',
    		'400' => '400',
    		'500' => '500',
    		'600' => '600',
	    	'700' => '700',
    		'800' => '800',
	    	'900' => '900',
        	),
			'fonts'=>$std_fonts
		),
		array(
			'id'             => 'h4_params',
			'type'           => 'typography',
			'title'          => esc_html__( 'H4', 'studiare' ),
			'compiler'       => true,
			'google'         => false,
			'font-backup'    => false,
			'all_styles'     => true,
			'font-weight'    => true,
			'font-family'    => true,
			'text-align'     => false,
			'font-style'     => true,
			'subsets'        => false,
			'font-size'      => true,
			'line-height'    => false,
			'word-spacing'   => false,
			'letter-spacing' => false,
			'color'          => true,
			'preview'        => true,
			'output'         => array( 'h4,.h4' ),
			'units'          => 'px',
			'default'        => array(
				'font-size' => '16px',
				'font-weight' => '700',
				'color'       => '#464749',
				'font-family' => 'sc_iranyekan',
				'google'      => false,
			),
			'weights' => array(
	    	'100'       => '100',
    		'200'       => '200',
    		'300' => '300',
    		'400' => '400',
    		'500' => '500',
    		'600' => '600',
	    	'700' => '700',
    		'800' => '800',
	    	'900' => '900',
        	),
			'fonts'=>$std_fonts
		),
		array(
			'id'             => 'h5_params',
			'type'           => 'typography',
			'title'          => esc_html__( 'H5', 'studiare' ),
			'compiler'       => true,
			'google'         => false,
			'font-backup'    => false,
			'all_styles'     => true,
			'font-weight'    => true,
			'font-family'    => true,
			'text-align'     => false,
			'font-style'     => true,
			'subsets'        => false,
			'font-size'      => true,
			'line-height'    => false,
			'word-spacing'   => false,
			'letter-spacing' => false,
			'color'          => true,
			'preview'        => true,
			'output'         => array( 'h5,.h5' ),
			'units'          => 'px',
			'default'        => array(
				'font-size' => '14px',
				'font-weight' => '700',
				'color'       => '#464749',
				'font-family' => 'sc_iranyekan',
				'google'      => false,
			),
			'weights' => array(
	    	'100'       => '100',
    		'200'       => '200',
    		'300' => '300',
    		'400' => '400',
    		'500' => '500',
    		'600' => '600',
	    	'700' => '700',
    		'800' => '800',
	    	'900' => '900',
        	),
			'fonts'=>$std_fonts
		),
		array(
			'id'             => 'h6_params',
			'type'           => 'typography',
			'title'          => esc_html__( 'H6', 'studiare' ),
			'compiler'       => true,
			'google'         => false,
			'font-backup'    => false,
			'all_styles'     => true,
			'font-weight'    => true,
			'font-family'    => true,
			'text-align'     => false,
			'font-style'     => true,
			'subsets'        => false,
			'font-size'      => true,
			'line-height'    => false,
			'word-spacing'   => false,
			'letter-spacing' => false,
			'color'          => true,
			'preview'        => true,
			'output'         => array( 'h6,.h6' ),
			'units'          => 'px',
			'default'        => array(
				'font-size' => '12px',
				'font-weight' => '700',
				'color'       => '#464749',
				'font-family' => 'sc_iranyekan',
				'google'      => true,
			),
			'weights' => array(
	    	'100'       => '100',
    		'200'       => '200',
    		'300' => '300',
    		'400' => '400',
    		'500' => '500',
    		'600' => '600',
	    	'700' => '700',
    		'800' => '800',
	    	'900' => '900',
        	),
			'fonts'=>$std_fonts
		),
		array(
			'id'             => 'sc_links_tpgrphy',
			'type'           => 'typography',
			'title'          => esc_html__( 'Links', 'studiare' ),
			'compiler'       => true,
			'google'         => false,
			'font-backup'    => false,
			'all_styles'     => true,
			'font-weight'    => true,
			'font-style'     => false,
			'text-align'     => false,
			'subsets'        => false,
			'font-size'      => true,
			'line-height'    => false,
			'word-spacing'   => false,
			'letter-spacing' => false,
			'color'          => true,
			'preview'        => false,
			'output'         => array( 'a' ),
			'units'          => 'px',
			'default'        => array(
				'color'       => '#464749',
			),
			'weights' => array(
	    	'100'       => '100',
    		'200'       => '200',
    		'300' => '300',
    		'400' => '400',
    		'500' => '500',
    		'600' => '600',
	    	'700' => '700',
    		'800' => '800',
	    	'900' => '900',
        	),
			'fonts'=>$std_fonts,
			'required'  => array('enable_disable_brdcr', '=', true),
		),
		array(
			'id'             => 'sc_vrd_heading_tpgrphy',
			'type'           => 'typography',
			'title'          => esc_html__( 'Page Title', 'studiare' ),
			'compiler'       => true,
			'google'         => false,
			'font-backup'    => false,
			'all_styles'     => true,
			'font-weight'    => true,
			'font-style'     => false,
			'text-align'     => false,
			'subsets'        => false,
			'font-size'      => true,
			'line-height'    => false,
			'word-spacing'   => false,
			'letter-spacing' => false,
			'color'          => false,
			'preview'        => false,
			'output'         => array( '.page-title .h2' ),
			'units'          => 'px',
			'default'        => array(
				'font-family' => 'sc_iranyekan',
				'font-weight' => '400',
				'font-size'   => '32px'
			),
			'weights' => array(
	    	'100'       => '100',
    		'200'       => '200',
    		'300' => '300',
    		'400' => '400',
    		'500' => '500',
    		'600' => '600',
	    	'700' => '700',
    		'800' => '800',
	    	'900' => '900',
        	),
			'fonts'=>$std_fonts,
			'required'  => array('enable_disable_brdcr', '=', true),
		),
	)
) ); 